<?php
/**
 * Template part for displaying a content located in main header layout one.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Ogma
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * hook - ogma_before_main_header
 * 
 * @since 1.0.0
 */
do_action( 'ogma_before_main_header' );

$header_main_bg_type = ogma_get_customizer_option_value( 'header_main_bg_type' );

?>

<header id="masthead" class="site-header header--<?php echo esc_attr( $header_main_bg_type ); ?>" <?php ogma_schema_markup( 'header' ); ?>>

    <div class="logo-ads-wrapper">
        <div class="ogma-container ogma-flex">
            
            <?php
                // site logo
                get_template_part( 'template-parts/partials/header/site', 'logo' );

                // header ads
                get_template_part( 'template-parts/partials/header/ads' );
            ?>
            
        </div><!-- .ogma-container -->
    </div><!-- .logo-ads-wrapper -->

    <div class="primary-menu-wrapper">
        <div class="ogma-container ogma-flex">
            <?php
                // primary menu
                get_template_part( 'template-parts/partials/header/primary', 'menu' );
            ?>
            <div class="ogma-icon-elements-wrap">
                <?php
                    // site mode switcher
                    ogma_site_mode_switcher();

                    // search icon
                    get_template_part( 'template-parts/partials/header/search' );

                    // sticky sidebar toggle icon
                    ogma_sticky_sidebar_toggle();

                    // custom button
                    get_template_part( 'template-parts/partials/header/custom', 'button' );
                ?>
            </div><!-- .icon-elements-wrap -->
        </div><!-- .ogma-container -->
    </div><!-- .primary-menu-wrapper -->
    
</header><!-- #masthead -->